<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - Forms Markdown Editor</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->

    <!-- BEGIN PAGE LEVEL STYLE -->
    <link href="/assets/css/scrollspyNav.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/tables/table-basic.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/datatables.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/dt-global_style.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/forms/switches.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/custom_dt_custom.css">
    <link href="/assets/css/dashboard/dash_2.css" rel="stylesheet" type="text/css" />
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!-- END PAGE LEVEL STYLE -->
</head>

<body class="sidebar-noneoverflow" data-spy="scroll" data-target="#navSection" data-offset="100">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar') %>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <!-- <div class="container" > -->
            <div class="layout-px-spacing">
                <div class="row layout-top-spacing">
                    <div class="col-12">
                        <div class="tab-content " id="simpletabContent">
                            <div class="tab-pane fade show active" id="product" role="tabpanel"
                                aria-labelledby="product-tab">
                                <div class="row layout-top-spacing layout-spacing">
                                    <div class="col-lg-12">
                                        <div class="statbox widget box box-shadow">
                                            <div class="widget-header">
                                                <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                                    <h4 style="font-size: 22px;">Event <b class="text-success">Stock</b></h4>
                                                </div>
                                            </div>
                                            <div class="widget-content widget-content-area">
                                                <div class="table-responsive mb-4">
                                                    <table id="style-2" class="table style-2  table-hover">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>CHANNEL</th>
                                                                <th>PRODUCT</th>
                                                                <th class="text-center">IN/OUT</th>
                                                                <th>REMAK</th>
                                                                <th>DATE</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <% let i = 1 %>
                                                            <% event.forEach((e)=>{ %>
                                                                <tr>
                                                                    <td><%=i %></td>
                                                                    <td><%=e.channel %></td>
                                                                    <td><%=e.product_name %></td>
                                                                    <td class="text-center"><%=e.type_channel + e.quantity %></td>
                                                                    <td><%=e.remak %></td>
                                                                    <td><%=e.date %></td>
                                                                </tr>
                                                            <% i++}) %>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
            <!-- </div> -->
            <!-- <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2020 <a target="_blank" href="https://designreset.com">DesignReset</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg></p>
                </div>
            </div> -->
        </div>
        <!--  END CONTENT AREA  -->


    </div>
    <!-- END MAIN CONTAINER -->



    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="/plugins/blockui/jquery.blockUI.min.js"></script>
    <script src="/assets/js/app.js"></script>
    <script src="/plugins/file-upload/file-upload-with-preview.min.js"></script>

    <script>
        $(document).ready(function () {
            $('#Warehouse_menu').addClass('active')
            $('#warehouse').addClass('show')
            $('#wh_event').addClass('active')
            $('#Warehouse_menu > a').attr('aria-expanded',true)
            App.init();
        });
        //First upload
        var firstUpload = new FileUploadWithPreview('myFirstImage')

    function add_product(id){
        axios.post('/Warehouse/add',{id:id,amount:$('#add_product_'+id).val()})
        .then((response)=>{
            if(response.data.Message == 'Success'){
                Swal.fire('เพิ่มสินค้าเรียบร้อย','','success')
                .then(()=>{
                        location.reload()
                    })
            }else{
                Swal.fire('เพิ่มสินค้าไม่สำเร็จ','','warning')
            }
        })
    }
    function delete_product(id){
        if(parseInt($('#noti').val()) > 0){
            axios.post('/Warehouse/delete_wh',{id:id,amount:$('#delete_'+id).val(),remak:$('#remak_delete_'+id).val()})
            .then((response)=>{
                if(response.data.Message == 'Success'){
                    Swal.fire('เบิกสินค้าเรียบร้อย','เบิกจำนวน '+$('#delete_'+id).val(),'success')
                    .then(()=>{
                            location.reload()
                        })
                }else{
                    Swal.fire('เบิกสินค้าไม่สำเร็จ','','warning')
                }
            })
        }else{
            Swal.fire('เบิกสินค้าไม่สำเร็จ','โปรดใส่จำนวนสินค้ามากกว่า 0','warning')
        }
    }
    function change(id){
        axios.post('/Warehouse/change',{id:id,status:$('#status_product_'+id).val()})
        .then((response)=>{
            if(response.data.Message == 'Success'){
                Swal.fire('เปลี่ยนสถานะสำเร็จ',''+$('#delete_'+id).val(),'success')
                .then(()=>{
                        location.reload()
                    })
            }else{
                Swal.fire('เปลี่ยนสถานะไม่สำเร็จ','','warning')
            }
        })
    }
    function update_noti(){
        if(parseInt($('#noti').val()) >= 3){
            axios.post('/Warehouse/noti_stock',{amount:$('#noti').val()})
            .then((response)=>{
                if(response.data.Message == 'Success'){
                    Swal.fire('ปรับแจ้งเตือนสำเร็จ','จำนวนสินค้า : '+$('#noti').val(),'success')
                    .then(()=>{
                        location.reload()
                    })
                }else{
                    Swal.fire('ปรับแจ้งเตือนไม่สำเร็จ','','warning')
                }
            })
        }else{
            Swal.fire('ปรับแจ้งเตือนไม่สำเร็จ','จำนวนต้องมากกว่า 3','warning')
        }
    }
    </script>
    <script src="/plugins/highlight/highlight.pack.js"></script>
    <script src="/assets/js/custom.js"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="/assets/js/scrollspyNav.js"></script>
    <script src="/plugins/table/datatable/datatables.js"></script>
    <script>

        c2 = $('#style-2').DataTable({
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 10
        });

        multiCheck(c2);
    </script>
    <script>
        checkall('todoAll', 'todochkbox');
        $('[data-toggle="tooltip"]').tooltip()

        document.getElementById('status_product').addEventListener('change',(e)=>{
            if(e.target.value == 0){
                $('#status_close').removeAttr('hidden',true)
            }else{
                $('#status_close').attr('hidden',true)
            }
        })
    </script>

    <!-- END PAGE LEVEL SCRIPTS -->
</body>

</html>